20.09.2020

Уязвимость в GnuTLS, позволяющая возобновить сеанс TLS 1.3 без знания ключа


В библиотеке GnuTLS, которая применяется по умолчанию во многих пакетах из состава Debian, включая пакетный менеджер APT и многие утилиты, выявлена уязвимость (CVE-2020-13777), позволяющая возобновить ранее остановленный сеанс TLS без знания сессионного ключа. С практической стороны уязвимость может применяться для осуществления MITM-атак.

Уязвимость вызвана некорректным построением сессионного ticket-ключа — TLS-сервер не осуществлял привязку сессионного ключа шифрования со значением, переданным приложением. До первой ротации ключа TLS-сервер при формировании сессионных ключей продолжает использовать некорректные данные вместо ключа шифрования, полученного от приложения, что позволяет атакующему обойти аутентификацию в TLS 1.3 и возобновить прошлые сеансы в режиме TLS 1.2.

Уязвимость устранена в выпуске 3.6.14, в котором также решены проблемы с обработкой перекрёстно подписанных сертификатов, всплывшие после устаревания корневого сертификата AddTrust. Проблема проявляется начиная с выпуска 3.6.4 (2018-09-24). В дистрибутивах уязвимость устранена в Debian, SUSE, FreeBSD, Fedora, Ubuntu, EPEL, RHEL 8 (RHEL 6 и 7 не подвержены).

Источник: https://www.opennet.ru/opennews/art.shtml?num=53120

Добавить комментарий